/* dados.c - juego de dados - ejemplo de switch */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int tirarDados(void);
int jugada(void);

main(){
	int i=0, tecla, jugadas, puntaje;
	int puntajeA=0, puntajeB=0, ganadasA=0, ganadasB=0;

	printf("Ingrese la cantidad de jugadas: ");
	scanf("%d", &jugadas);
	printf("\n");

	do{
	  
	  printf("Jugada %d\n\n", ++i);	
	  printf("Tira jugador A: \n");
          puntaje = jugada();
	  if (puntaje != 1){ /* si gana se suman puntos y jugadas ganadas */
		puntajeA+=puntaje;
		ganadasA++;
	  }
	  
	  printf("\nIngrese 1 para continuar: ");
	  scanf("%d", &tecla);
	  printf("\n");
  	  
	  if (tecla == 1){ 
	    printf("Tira jugador B: \n");
            puntaje = jugada();
	    if (puntaje != 1){ /* si gana se suman puntos y jugadas ganadas */
		puntajeB+=puntaje;
		ganadasB++;
	    }	
	    printf("\nIngrese 1 para continuar: ");
	    scanf("%d", &tecla);
	    printf("\n");
	 }  

	}while ((i < jugadas) && (tecla == 1));	


	printf("\nR E S U L T A D O S : \n\n");
	printf("Puntos: \n");
	printf("Jugador A: \t %d\n", puntajeA);
	printf("Jugador B: \t %d\n\n", puntajeB);
	printf("Jugadas ganadas: \n");
	printf("Jugador A: \t ");
	for (i=0; i<ganadasA; i++)
		printf("*");
	printf("\n");	
	printf("Jugador B: \t ");
	for (i=0; i<ganadasB; i++)
		printf("*");
	printf("\n");	

	return 0;

}

int jugada(void){
	
	int resultadoDelJuego, suma, puntos;

	srand(time(NULL));
	suma = tirarDados(); /* primera tirada */
	
	switch (suma) {
		case 7: case 11: /* gana en la primera tirada */
			resultadoDelJuego = 2;
			break;
		case 2: case 3: case 12: /* pierde en la primera tirada */
		        resultadoDelJuego = 1;
			break;
		default: /* continua el juego y se almacenan los puntos */
			resultadoDelJuego = 0;
			puntos = suma;
			printf("El valor a alcanzar es: %d\n", puntos);
			break;
	}

	while (resultadoDelJuego == 0){ /* se sigue tirando mientras sea 0 */
		suma = tirarDados(); /* nueva tirada */
		
		if (suma == puntos) /* gana al alcanzar los puntos */
			resultadoDelJuego = 2;
		else
		   if(suma == 7)    /* pierde por sumar 7 */
			resultadoDelJuego = 1;   
	}	
				
	/* fin del juego, se muestra el resultado */	
	if (resultadoDelJuego == 2){
		printf("El jugador gana!\n");
		return suma;
	}	
	else{
		printf("El jugador pierde\n");
		return resultadoDelJuego;
	}	
}

int tirarDados(void){
	int dado1, dado2, suma;

	dado1 = 1 + rand() % 6;
	dado2 = 1 + rand() % 6;
	suma = dado1 + dado2;

	printf("Tirada: %d + %d = %d\n", dado1, dado2, suma);
	
	return suma;
}
