/* notas.c - generar una secuencia de notas */
#include <stdio.h>
#include <math.h>
#include <time.h>
#define NUM 13

void sistemaAlturas(int, int, float, float []);

main(){
	int i;	
	float notas[NUM];

	srand(time(NULL));
	
	/* Se inicializa el arreglo */
	sistemaAlturas(3, NUM, 440.0, notas);

	/* Se despliegan las notas base */
	/* printf("Alturas: \n");
	for (i = 0; i < NUM; i++)
		printf("%.3f\n", notas[i]); */

	/* Se despliega la secuencia de notas */
	printf("Frecuencia(Hz) \n");
	for (i = 0; i < 5; i++)
		printf("%14.3f\n", notas[rand() % NUM]);

	return 0;	
}
void sistemaAlturas(int intervalo, int cantidadIntervalos, float frecuencia, float arreglo[]){
  int i;
  
  for(i = 0; i < cantidadIntervalos; i++){
	arreglo[i] = frecuencia;
	frecuencia *= pow(intervalo, 1.0 / cantidadIntervalos);
   }
}


