/* secuencia4.c - ejercicio: generacion secuencia de notas */
#include <stdio.h>
#include <math.h>

int secuencia(int);
float midi2hertz(int);

main(){

	int i, numMIDI=69, MIDI;

	printf("Nota MIDI\tFrecuencia(Hz)\n");
	for (i = 0; i < 20; i++){
		MIDI = secuencia(numMIDI);
		printf("%9d\t%9.3f\n", MIDI, midi2hertz(MIDI));
	}
	
	return 0;
}

int secuencia(int MIDI){
	static int num = -5;

	num+=5;
	if (num >= 13)
		num-=13;
	
	return num + MIDI;
}

float midi2hertz(int notaMIDI){
	
	return 440.0 * pow(2, (notaMIDI - 69.0 ) / 12.0);
}
