/* dados.c - juego de dados - ejemplo de switch */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int tirarDados(void);

main(){

	int resultadoDelJuego, suma, puntos;

	srand(time(NULL));
	suma = tirarDados(); /* primera tirada */
	
	switch (suma) {
		case 7: case 11: /* gana en la primera tirada */
			resultadoDelJuego = 1;
			break;
		case 2: case 3: case 12: /* pierde en la primera tirada */
		        resultadoDelJuego = 2;
			break;
		default: /* continua el juego y se almacenan los puntos */
			resultadoDelJuego = 0;
			puntos = suma;
			printf("El valor a alcanzar es: %d\n", puntos);
			break;
	}

	while (resultadoDelJuego == 0){ /* se sigue tirando mientras sea 0 */
		suma = tirarDados(); /* nueva tirada */
		
		if (suma == puntos) /* gana al alcanzar los puntos */
			resultadoDelJuego = 1;
		else
		   if(suma == 7)    /* pierde por sumar 7 */
			resultadoDelJuego = 2;   
	}	
				
	/* fin del juego, se muestra el resultado */	
	if (resultadoDelJuego == 1)
		printf("El jugador gana!\n");
	else
		printf("El jugador pierde\n");
	
	return 0;
}
int tirarDados(void){
	int dado1, dado2, suma;

	dado1 = 1 + rand() % 6;
	dado2 = 1 + rand() % 6;
	suma = dado1 + dado2;

	printf("Tirada: %d + %d = %d\n", dado1, dado2, suma);
	
	return suma;
}
